Skip to main content
PUT
/
v1
/
workspaces
/
{workspaceUuid}
/
organisations
/
{organisationUuid}
/
custom-fields
/
{key}
Set a custom field value on an organisation
curl --request PUT \
  --url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/organisations/{organisationUuid}/custom-fields/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "Technology"
}
'
{
  "field_identifier": "industry",
  "field_key": "industry",
  "field_type": "text",
  "value": "Technology",
  "source": "manual",
  "updated_at": "2024-01-01T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Enter your personal access token (PAT) to authenticate

Path Parameters

workspaceUuid
string<uuid>
required

The UUID of the workspace

Example:

"550e8400-e29b-41d4-a716-446655440000"

organisationUuid
string<uuid>
required

The UUID of the organisation

Example:

"550e8400-e29b-41d4-a716-446655440000"

key
string
required

The key of the custom field

Example:

"industry"

Body

application/json
value
any
required

The value to set for the field

Example:

"Technology"

Response

The custom field value that was set

A custom field value set on an organisation

field_identifier
string

The identifier of the field

Example:

"industry"

field_key
string

The machine-readable key of the field

Example:

"industry"

field_type
string

The data type of the field

Example:

"text"

value
any

The value of the field

Example:

"Technology"

source
string

The source of the value

Example:

"manual"

updated_at
string<date-time> | null
Example:

"2024-01-01T00:00:00Z"